Tag: android gradle

Mettre à niveau Android Studio 2.1 Preview3: Impossible de configurer l'extension 'publishing' après la connexion

Après la mise à niveau de Android Studio vers l'aperçu 2.1 2.1, je reçois une erreur tout en construisant le module Volley. Toutefois, Volley Module a été construit avec succès dans les versions antérieures de Studio Android. La synchronisation Gradle a échoué: Impossible de configurer l'extension 'publication' une fois qu'elle a été consultée. Consultez le […]

Pourquoi les bibliothèques de support Android ne fonctionnent-elles pas dans mon projet?

À l'aide de Android Studio, j'ai suivi les étapes à https://developer.android.com/tools/support-library/setup.html aussi concrètement que possible, mais cela m'a expliqué l'erreur suivante: Erreur: Impossible de trouver la méthode de compilation () pour les arguments [com.android.support:appcompat-v7:18.0.+] sur org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler_Decorated@18899229. Installez le référentiel de support Android depuis le Gestionnaire SDK d'Android. Open Android SDK Manager Mais j'ai déjà installé […]

Gradle command: crashlyticsUploadDistributionRelease avec saveur

J'essaie d'utiliser la commande gradle suivante pour télécharger l'apk avec saveur: ./gradlew assemblyDevRelease crashlyticsUploadDistributionDevRelease Cependant, il échoue avec le journal d'exception suivant: Caused by: com.crashlytics.tools.android.exception.DistributionException: Crashlytics halted compilation because it had a problem uploading the distribution.Project dev is inactive at com.crashlytics.tools.android.DistributionTasks.uploadDistribution(DistributionTasks.java:91) at com.crashlytics.tools.android.DeveloperTools.processProperties(DeveloperTools.java:583) … 58 more Il semble qu'il n'y ait pas de match de […]

Erreur: l'exécution a échoué pour la tâche ': application: prepareDebugAndroidTestDependencies'. > Erreur de dépendance. Voir la console pour plus de détails

Erreur: l'exécution a échoué pour la tâche ': application: prepareDebugAndroidTestDependencies'. Erreur de dépendance. Voir la console pour plus de détails. Après avoir ajouté les dépendances suivantes dans le fichier app.gradle – androidTestCompile 'com.android.support.test:runner:0.5' androidTestCompile 'com.android.support.test:rules:0.5' androidTestCompile 'com.android.support.test.espresso:espresso-core:2.2.2' // add this for intent mocking support androidTestCompile 'com.android.support.test.espresso:espresso-intents:2.2.2' // add this for webview testing support androidTestCompile 'com.android.support.test.espresso:espresso-web:2.2.2' […]

Comment inclure les fichiers aar utilisés dans les projets de bibliothèque dans le projet principal dans Android

Mon projet comprend un projet de bibliothèque. La bibliothèque utilise certains fichiers aar et sa dependecny est déjà définie dans le module: fichier gradle. Je suis confronté à un problème dans l'inclusion de cette bibliothèque dans mon projet. Si je garde des fichiers aar en double dans app-> lib et définis leur dépendance dans le […]

Impossible d'importer un projet sur studio Android

J'essaie d'utiliser cette bibliothèque J'ai ajouté compile 'net.rdrei.android.dirchooser:library:2.0@aar' Aux dépendances. Mon fichier de compilation de niveau supérieur // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.8.+' } } allprojects { repositories { mavenCentral() } } Et cela me donne l'erreur […]

Android Studio configuration de problème Jackson Parser sur gradle

J'ai eu du mal à ajouter la dépendance de Jackson Parser à mon projet. Actuellement, j'utilise ces lignes de code sur mon build.gradle: compile 'com.fasterxml.jackson.core:jackson-core:2.7.2' compile 'com.fasterxml.jackson.core:jackson-annotations:2.7.2' compile 'com.fasterxml.jackson.core:jackson-databind:2.7.2' Le seul requis de Classe I est le ObjectMapper que je sais qu'il est dans le paquet databind. Lorsque j'ai ajouté ces lignes dans le gradle, […]

Comment réparer l'erreur de construction "Contenu non autorisé en prologue"?

Lorsque j'ai mis à niveau sur Android Studio 0.6.1, j'ai rencontré un problème de construction avec les fichiers d'actifs. J'ai continué à obtenir "Le contenu n'est pas autorisé en prologue" pendant la tâche mergeDebugResources. Puisque je n'ai pas trouvé une réponse appropriée à cela et que j'ai trouvé une solution, j'ai répondu à ma propre […]

Exécuter gradle's connectedAndroidTest sur un périphérique spécifique

Comment exécutez-vous LinkedAndroidTest sur un périphérique particulier? Je m'attends à quelque chose comme: ./gradlew connectedAndroidTest -DconnectedAndroidTest.device=XXXX Nous avons un certain nombre de périphériques connectés à notre serveur CI et je ne peux pas trouver de documentation sur la façon de cibler un périphérique connecté spécifique. connectedAndroidTest exécute actuellement des tests sur TOUS les périphériques connectés. […]

Android Studio SVN 1.8 Ce client est trop vieux pour travailler avec la copie de travail

En espérant que quelqu'un peut aider à … J'ai téléchargé SmartSVN et j'ai ouvert une copie de travail (projet Android). Il m'a demandé de mettre à niveau la copie de travail sur 1.8. Cela ne me pose aucun problème lors de l'utilisation du client svn. Cependant, j'ai eu besoin de mettre à niveau mon client […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.